Club Delphi  
    FTP   CCD     Buscar   Trucos   Trabajo   Foros

Retroceder   Foros Club Delphi > Otros entornos y lenguajes > Lazarus, FreePascal, Kylix, etc.
Registrarse FAQ Miembros Calendario Guía de estilo Buscar Temas de Hoy Marcar Foros Como Leídos

Respuesta
 
Herramientas Buscar en Tema Desplegado
  #1  
Antiguo 01-07-2015
mjjj mjjj is offline
Miembro
 
Registrado: Mar 2007
Posts: 637
Poder: 12
mjjj Va por buen camino
Lazarus y Firebird en Raspberry Pi

Estimados, espero me puedan ayudar.
Necesito desarrollar una pequeña aplicación que corra en un Raspberry PI A y que se conecte a una base de datos Firebird 2.5.
Ya tengo instalado Lazarus, y creado un "Hola mundo" con un TIBConnection, asignado sus respectivas parametros, pero al momento de conectar a la bgase de dato me arroja este error.
"Can not load default Firebird clients (libfbembed.so or libgds.so)"

Aparate de esto instalé el cliente Firebird, pero al ver que no se conectaba terminé instalando el servidor de Firebird en el mismo Raspberry...
Otra cosa que he intentado es copiar estos archivos en la carpeta del proyecto, pero sigo sin poder conectarme.
Llevo todo el día buscando información, pero no he logrado nada.

Espero me puedan ayudar.
Gracias
Responder Con Cita
  #2  
Antiguo 02-07-2015
Avatar de ecfisa
ecfisa ecfisa is offline
Moderador
 
Registrado: Dec 2005
Ubicación: Tres Arroyos, Argentina
Posts: 10.125
Poder: 30
ecfisa is a splendid one to beholdecfisa is a splendid one to beholdecfisa is a splendid one to beholdecfisa is a splendid one to beholdecfisa is a splendid one to beholdecfisa is a splendid one to beholdecfisa is a splendid one to behold
Hola mjjj.

Seguramente ya hayas leido estos enlaces, pero por las dudas... Espero te ayuden en algo.

Saludos
__________________
Daniel Didriksen

Guía de estilo - Uso de las etiquetas - La otra guía de estilo ....
Responder Con Cita
  #3  
Antiguo 07-09-2018
mjjj mjjj is offline
Miembro
 
Registrado: Mar 2007
Posts: 637
Poder: 12
mjjj Va por buen camino
Estimados, finalmente lofré conectar con un Raspberry Pi 2 a Firebird 2.5 sin problema.
Sin embargo, ahora ocurre que actualicé el Raspberry Pi 3, en el cual instalé Firebird 3.
El problema es que desde Lazarus con TIBConnection me pide la librería libfbclient.so.2.5.1 la cual no la encuentro por ninguna lado.

Alguna idea de como resolver esto ???
Donde se instala Firebird 3 en un Raspberry PI 3 ????
Responder Con Cita
  #4  
Antiguo 11-09-2018
Avatar de Ñuño Martínez
Ñuño Martínez Ñuño Martínez is offline
Moderador
 
Registrado: Jul 2006
Ubicación: Ciudad Catedral, Españistán
Posts: 5.737
Poder: 19
Ñuño Martínez Va camino a la famaÑuño Martínez Va camino a la fama
Eso es porque la versión de FPC/Lazarus que tienes no tiene soporte para Firebird 3. Fíjate en los números de versión.
__________________
Proyectos actuales --> Allegro 5 Pascal ¡y Delphi!|MinGRo Game Engine
Responder Con Cita
  #5  
Antiguo 11-09-2018
mjjj mjjj is offline
Miembro
 
Registrado: Mar 2007
Posts: 637
Poder: 12
mjjj Va por buen camino
Entiendo que es un problema de versiones.
Cuando he intentando instalar Firebird en el Pi3, solo esta disponible Firebird 3.0.
Alguien sabe como instalar Firebird 2.5 en un Pi3 ????
Espero que con eso se solucione mi problema.
Responder Con Cita
Respuesta


Herramientas Buscar en Tema
Buscar en Tema:

Búsqueda Avanzada
Desplegado

Normas de Publicación
no Puedes crear nuevos temas
no Puedes responder a temas
no Puedes adjuntar archivos
no Puedes editar tus mensajes

El código vB está habilitado
Las caritas están habilitado
Código [IMG] está habilitado
Código HTML está deshabilitado
Saltar a Foro

Temas Similares
Tema Autor Foro Respuestas Último mensaje
Windows 10 para la Raspberry Pi 2 nlsgarcia La Taberna 8 11-02-2015 10:58:03
Codigo Firebird con Lazarus y Filtros Minoru Lazarus, FreePascal, Kylix, etc. 11 18-12-2014 18:33:06
Lazarus no conecta con firebird jzginez Lazarus, FreePascal, Kylix, etc. 3 14-07-2011 18:51:05
FacturLinEx a lazarus + zeos + firebird Robert01 Noticias 2 09-01-2009 17:16:58
UDF's para Firebird con FreePascal/Lazarus armadillo Firebird e Interbase 0 13-07-2006 11:46:48


La franja horaria es GMT +2. Ahora son las 22:02:30.


Powered by vBulletin® Version 3.6.8
Copyright ©2000 - 2018, Jelsoft Enterprises Ltd.
Traducción al castellano por el equipo de moderadores del Club Delphi
Copyright 1996-2007 Club Delphi